# Uses of Interface
javax.sound.sampled.Clip

Packages that use Clip
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of Clip in javax.sound.sampled

Methods in javax.sound.sampled that return Clip
Modifier and Type
Method
Description
`static Clip`
AudioSystem.`getClip()`
Obtains a clip that can be used for playing back an audio file or an audio stream.
`static Clip`
AudioSystem.`getClip(Mixer.Info mixerInfo)`
Obtains a clip from the specified mixer that can be used for playing back an audio file or an audio stream.